Skip to content

Pause Subscription

POST
/v1/subscriptions/{subscription_id}/pause

Pause a subscription. This transitions the subscription's next scheduled order to paused, skipping its next billing cycle. Returns an error if the subscription is already paused.

Authorization

X-API-Key
X-API-Key<token>

Admins and Developers can obtain their Bolt API key from the Bolt Merchant Dashboard.

In: header

Path Parameters

subscription_id*Subscription ID

The unique ID for the subscription.

Header Parameters

X-Publishable-Key*string

The publicly viewable identifier used to identify a merchant division. This key is found in the Developer > API section of the Bolt Merchant Dashboard.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/subscriptions/sub_1a2b3c4d5e/pause" \  -H "X-Publishable-Key: string"
{  "id": "sub_1a2b3c4d5e",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z",  "merchant_name": "Bolt Swag Store",  "email": "shopper@example.com",  "status_details": {    "type": "active",    "reason": "payment_failed"  },  "payment_method": {    "card_last_4": "4242",    "card_network": "visa"  },  "next_renewal_date": "2019-08-24T14:15:22Z",  "next_payment_retry_date": "2019-08-24T14:15:22Z",  "canceled_date": "2019-08-24T14:15:22Z",  "paused_date": "2019-08-24T14:15:22Z",  "plan": {    "id": "plan_9f8e7d6c5b",    "name": "Monthly",    "sku": "SUB-MONTHLY-001",    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z",    "frequency": 1,    "frequency_unit": "month",    "product_id": "prod_3c2b1a0f9e",    "checkout_link": "https://subscribe.boltapp.com/plans/plan_9f8e7d6c5b",    "initial_period": {      "frequency": 14,      "frequency_unit": "day"    }  },  "product_names": [    "string"  ],  "total_amount": {    "amount": 754,    "currency": "USD",    "currency_symbol": "$"  },  "metadata": {    "property1": "string",    "property2": "string"  }}